Subject: Re: bug#49440: [PATCH core-updates]: Compile bdw-gc with support for disclaim procedures

From: Maxime Devos <[email-masked]>
Date: Wed, 21 Jul 2021 21:07:14 +0200

Ludovic Courtès schreef op wo 21-07-2021 om 16:30 [+0200]:
> I have a slight preference for delaying ‘--enable-disclaim’ until we
> have software that actually needs it.
> 
> WDYT?

Makes sense to me.  I'll send a ping if (when?) I actually patch
Guile to use disclaim procedures.

The idea was to use ‘disclaim procedures’ for implementing ephemeral
hash tables (apparently ephemeral (not merely weak) hash tables are
required in ‘Spritely Goblins’, which currently only supports Racket
but Christopher Lemmer Webber intends to port to Guile at some point
or so I've understood).

Greetings,
Maxime.